/////////////////////////////////////////////////////
//
// Sound Routine data definitions and code prototypes
// Copyright (c) 1991 Lane Roath & Ideas From the Deep
//
/////////////////////////////////////////////////////

#define MAXSNDS 63
#define NUMSNDS 24

typedef enum {off,spkr,sdlib} soundtype;

typedef struct {word start;
		byte priority;
		byte samplerate;
		char name[12];} spksndtype;

typedef struct {char id[4];
		word filelength;
		int numsounds;
		int soundres;
		word filler[3];
		spksndtype sounds[NUMSNDS];
		word freqdata[];} SPKRtable;

SPKRtable huge *WorkBuf;
soundtype extern soundmode;
SPKRtable extern huge *SoundData;
                                	
int extern _dontplay;

void extern StartupSound (void);
void extern ShutdownSound (void);
void extern PlaySound (int sound);
void extern StopSound (void);
void extern WaitEndSound (void);

